Summary:        Tar file manipulation API
Name:           libtar
Version:        1.2.20
Release:        3%{?dist}
License:        MIT
URL:            http://repo.or.cz/libtar.git
Source0:         http://repo.or.cz/libtar.git/snapshot/refs/tags/v1.2.20.tar.gz#/libtar-v1.2.20.tar.gz

Patch3000:         libtar-1.2.11-missing-protos.patch
Patch3001:         libtar-1.2.11-mem-deref.patch
Patch3002:         libtar-1.2.20-fix-resource-leaks.patch
Patch3003:         libtar-1.2.11-bz729009.patch
Patch3004:         libtar-1.2.20-no-static-buffer.patch
Patch3005:         libtar-1.2.20-static-analysis.patch

BuildRequires:  libtool make zlib-devel

%global ltversion %(echo %{version} | tr '.' ':')

%description
libtar is a C library for manipulating tar archives. It supports both
the strict POSIX tar format and many of the commonly-used GNU
extensions.


%package        devel
Summary:        Development files for libtar
Requires:       libtar = %{version}-%{release}

%description    devel
The libtar-devel package contains libraries and header files for
developing applications that use libtar.


%prep
%autosetup -n libtar-v%{version} -p1


sed -i 's/-rpath $(libdir)/-rpath $(libdir) -version-number %{ltversion}/' \
  lib/Makefile.in

autoreconf -iv


%build
%configure --disable-static
%make_build


%install
make install DESTDIR=%{buildroot}

chmod +x %{buildroot}%{_libdir}/libtar.so.%{version}
rm %{buildroot}%{_libdir}/*.la


%files
%license COPYRIGHT
%doc TODO README ChangeLog*
%{_bindir}/libtar
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/libtar.h
%{_includedir}/libtar_listhash.h
%{_libdir}/lib*.so
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.20-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.20-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 Yi Lin <nilusyi@tencent.com> - 1.2.20-1
- package init.
